swftools-0.9.2-alt3.i586.rpm


Advertisement

Description

swftools - A collection of SWF manipulation and generation utilities

Distribution: ALT Linux Sisyphus
Repository: Classic i586
Package name: swftools
Package version: 0.9.2
Package release: alt3
Package architecture: i586
Package type: rpm
Installed size: 9.24 MB
Download size: 9.24 MB
Official Mirror: ftp.altlinux.org
SWF Tools is a collection of SWF manipulation and generation utilities Included are: PDF2SWF A PDF to SWF Converter. Generates one frame per page. Enables you to have fully formatted text, including tables, formulas etc. inside your Flash Movie. Uses the xpdf PDF parser from Derek B. Noonburg and the tt2pt1 font converter developed by the TTF2PT1 Project and its contributors. SWFCombine A tool for inserting SWFs into Wrapper SWFs. (Templates) E.g. for including the pdf2swf SWFs in some sort of Browsing-SWF. SWFStrings Scans SWFs for text data. SWFDump Prints out various informations about SWFs. JPEG2SWF Takes one or more JPEG pictures and generates a SWF slideshow. PNG2SWF Like JPEG2SWF, only for PNGs. WAV2SWF Converts WAV audio files to SWFs with MP3 Streams, using the L.A.M.E. MP3 encoder. AVI2SWF Converts AVI animation files to SWF. Still Alpha, but some examples can already be found at http://www.swftools.org/examples.html. SWFExtract Allows to extract Movieclips, Sounds, Images etc. from SWF files. RFXSWF Library A fully featured library which can be used for standalone SWF generation. Includes support for Bitmaps, Buttons, Shapes, Text, Fonts, Sound etc. SWFTools has been reported to work on Solaris, Linux, FreeBSD and OSX.

Alternatives

Provides

  • swftools = 0.9.2-alt3

    Download

    Install Howto

    1. Add the following line to /etc/apt/sources.list:
      rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
      rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
      
    2. Update the package index:
      # sudo apt-get update
    3. Install swftools rpm package:
      # sudo apt-get install swftools

    Files

    • /usr/bin/as3compile
    • /usr/bin/font2swf
    • /usr/bin/gif2swf
    • /usr/bin/jpeg2swf
    • /usr/bin/pdf2swf
    • /usr/bin/png2swf
    • /usr/bin/swfbbox
    • /usr/bin/swfc
    • /usr/bin/swfcombine
    • /usr/bin/swfdump
    • /usr/bin/swfextract
    • /usr/bin/swfrender
    • /usr/bin/swfstrings
    • /usr/bin/wav2swf
    • /usr/share/doc/swftools-0.9.2/AUTHORS
    • /usr/share/doc/swftools-0.9.2/ChangeLog
    • /usr/share/doc/swftools-0.9.2/fileformat.sc
    • /usr/share/man/man1/as3compile.1.xz
    • /usr/share/man/man1/font2swf.1.xz
    • /usr/share/man/man1/gif2swf.1.xz
    • /usr/share/man/man1/jpeg2swf.1.xz
    • /usr/share/man/man1/pdf2swf.1.xz
    • /usr/share/man/man1/png2swf.1.xz
    • /usr/share/man/man1/swfbbox.1.xz
    • /usr/share/man/man1/swfc.1.xz
    • /usr/share/man/man1/swfcombine.1.xz
    • /usr/share/man/man1/swfdump.1.xz
    • /usr/share/man/man1/swfextract.1.xz
    • /usr/share/man/man1/swfstrings.1.xz
    • /usr/share/man/man1/wav2swf.1.xz
    • /usr/share/swftools/
    • /usr/share/swftools/swfs/PreLoaderTemplate.swf
    • /usr/share/swftools/swfs/default_loader.swf
    • /usr/share/swftools/swfs/default_viewer.swf
    • /usr/share/swftools/swfs/keyboard_viewer.swf
    • /usr/share/swftools/swfs/simple_viewer.swf
    • /usr/share/swftools/swfs/swft_loader.swf
    • /usr/share/swftools/swfs/tessel_loader.swf

    Changelog

    2017-03-23 - Evgeniy Korneechev <ekorneechev@altlinux.org> 0.9.2-alt3 - build with pdf2swf

    2016-02-11 - Michael Shigorin <mike@altlinux.org> 0.9.2-alt2 - dropped pdf2swf from package description (ALT#31773)

    2012-04-22 - Michael Shigorin <mike@altlinux.org> 0.9.2-alt1 - 0.9.2 - dropped a patch - applied gentoo patches

    2011-04-21 - Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.9.0-alt1.1 - Fixed build

    2009-07-29 - Michael Shigorin <mike@altlinux.org> 0.9.0-alt1 - 0.9.0 (closes: #20860) + fixed build with gcc-4.4 - buildreq - dropped ancient unused patch from the package - NB: I don't use this package, it needs proper maintainer

    2007-09-17 - Michael Shigorin <mike@altlinux.org> 0.8.1-alt1 - 0.8.1 - picked up an orphan - replaced makefile patch with the same overrides in %install - buildreq - NB: built without avifile support as that's orphaned too; anyone who really cares can step forward to fix it (C++ templates knowledge seems required)

    Advertisement
    Advertisement